package ibase.webitm.ejb.adm;

import ibase.webitm.utility.ITMException;

import java.rmi.RemoteException;
import java.sql.Connection;

import javax.ejb.Remote;

import org.w3c.dom.Document;

@Remote
public interface MPReqmtnICRemote
{
	public String wfValData() throws RemoteException, ITMException;
	public String wfValData(String xmlString, String xmlString1, String xmlString2, String objContext, String editFlag, String xtraParams) throws RemoteException, ITMException;
	public String wfValData(Document dom, Document dom1,Document dom2, String objContext, String editFlag, String xtraParams) throws RemoteException,ITMException;
	public String itemChanged() throws RemoteException, ITMException;
	public String itemChanged(String xmlString, String xmlString1, String xmlString2, String objContext, String currentColumn, String editFlag, String xtraParams) throws RemoteException, ITMException;
	public String itemChanged(Document dom, Document dom1, Document dom2, String objContext, String currentColumn, String editFlag, String xtraParams) throws RemoteException, ITMException;
	public String postSave()throws RemoteException,ITMException;
	public String postSave(String tranId,String editFlag, String xtraParams, Connection conn,  String domString,String ObjContext) throws RemoteException,ITMException;
}
